<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">FRS</a>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item"><a routerLink="/home" class="nav-link">Home</a></li>
      <li class="nav-item"><a routerLink="/admin" class="nav-link">Admin</a></li>
      <li class="nav-item"><a routerLink="/faculty" class="nav-link">Faculty</a></li>
      <li class="nav-item"><a routerLink="/student" class="nav-link">Student</a></li>
      <li (click)="onLogout()" class="nav-item"><a class="nav-link">Logout</a></li>
    </ul>
  </div>

</nav>

<div class="container" style="margin-top: 20px;">
  <router-outlet></router-outlet>
</div>